FBLINE
1
BRL-CAD
BRL-CAD

# fbline

draw a colored line on a framebuffer

      fbline
        -c
        -F framebuffer
        -S squaresize
        -W screen_width
        -N screen_height
        -r red
        -g green
        -b blue
        x1
        y1
        x2
        y2

## DESCRIPTION

Fbline draws a line on the currently selected framebuffer between the points (x1, y1) and (x2, y2). The points must be within the bounds of the framebuffer, or they are silently limited to an edge. Use fbpoint 1 to determine where to position the points. The environment variable FB_FILE specifies the current framebuffer, see brlcad 1. Alternatively, the framebuffer may be explicitly specified by using the `-F` flag.

By default, the requested framebuffer size is 512x512 pixels.

The `-S` flag sets the width and height to the same value. The `-W` and `-N` flags sets them individually.

The `-c` flag causes the screen to be cleared before the line is displayed. The default behavior is to draw the line on the current image without clearing the screen.

The `-r red` `-g green` `-b blue` flags specify alternate red, green, and blue rgb values for the line color. The default color is white. Thus, a green line is created by turning off the red and green components, i.e., with `-r 0` `-b 0` options.

## EXAMPLE

fbline -h -c -r0 -b0 82 11 300 472

## SEE ALSO

brlcad 1, fbed 1, fblabel 1, fbpoint 1, plot3-fb 1, libfb 3, pix 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1988-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.